Subject: [alpine-aports] [PATCH] testing/py-pgen: new aport

From: Stuart Cardall <[email-masked]>
Date: Mon, 23 Mar 2015 21:31:41 +0000

pgen is a build dependency for building cython with grammar support.
---
 testing/py-pgen/APKBUILD | 53 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)
 create mode 100644 testing/py-pgen/APKBUILD

diff --git a/testing/py-pgen/APKBUILD b/testing/py-pgen/APKBUILD
new file mode 100644
index 0000000..3aef475
--- /dev/null
+++ b/testing/py-pgen/APKBUILD
@@ -0,0 +1,53 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=py-pgen
+pkgver=2.7.9
+_verbase=${pkgver%.*}
+pkgrel=0
+pkgdesc="Python Parser Generator"
+url="http://www.python.org"
+arch="all"
+license="custom"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+source="http://www.python.org/ftp/python/$pkgver/Python-$pkgver.tar.xz"
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$srcdir/Python-$pkgver"
+        export OPT="$CFLAGS"
+        ./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --prefix=/usr \
+                --enable-shared \
+                --with-threads \
+                --enable-ipv6 \
+                --with-system-ffi \
+                --with-system-expat \
+                --with-system-zlib \
+                --enable-unicode=ucs4 \
+                || return 1
+        make Parser/pgen || return 1
+}
+
+package() {
+	cd "$srcdir/Python-$pkgver"
+	mkdir -p "$pkgdir"/usr/bin
+	install -Dm755 Parser/pgen "$pkgdir"/usr/bin/pgen
+}
+
+md5sums="38d530f7efc373d64a8fb1637e3baaa7  Python-2.7.9.tar.xz"
+sha256sums="90d27e14ea7e03570026850e2e50ba71ad20b7eb31035aada1cf3def8f8d4916  Python-2.7.9.tar.xz"
+sha512sums="6939182463272a6bb9da0e327bfb9efc574a87820f2ae39eaf02d9fae053dbe0004330e916e6828becfef94cbe294acb0a88a600f8930b99b94fcfc4efc44ff4  Python-2.7.9.tar.xz"
-- 
2.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---